namespace Infrastructure.Extensions;

public static class UserContextSetup
{
    public static IServiceCollection AddDefaultUserContext(this IServiceCollection services)
    {
        ArgumentNullException.ThrowIfNull(services);
        services.TryAddScoped(typeof(IUserContext<>), typeof(DefaultUserContext));
        return services;
    }
}